package com.zcxk.evaluation.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.evaluation.entity.EvaluationItemEntity;

import java.util.List;

/**
 * 考评项Service接口
 *
 * @author: WYY
 * @date 2021-05-08 09:25
 */
public interface EvaluationItemService {

    /**
     * 自定义分页查询，含关联实体对像
     */
    public IPage<EvaluationItemEntity> findPage(IPage<EvaluationItemEntity> page, EvaluationItemEntity evaluationItemEntity);


    /**
     * 查列表
     */
    public List<EvaluationItemEntity> findList(EvaluationItemEntity evaluationItemEntity);

    /**
     * 批量删除
     */
    public boolean delEvaluationItemByIds(Long[] ids);

    /**
     * 单个删除
     */
    public boolean delEvaluationItemById(Long id);

    /**
     * 保存
     */
    public boolean addEvaluationItem(EvaluationItemEntity evaluationItem);

    /**
     * 修改根居ID
     */
    public boolean updateEvaluationItemById(EvaluationItemEntity evaluationItem);

    /**
     * 根居ID获取对象
     */
    public EvaluationItemEntity findEvaluationItemById(Long id);
}
